package com.huashe.park.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;

/**
 * 工程坐标配置对象 cons_project_coordinate_info
 * 
 * @author ruoyi
 * @date 2025-02-14
 */
public class ProjectCoordinateInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 项目id */
    private Long projectId;

    /** 坐标系名称 */
    @Excel(name = "坐标系名称")
    private String strName;

    /** 椭球参数 */
    @Excel(name = "椭球参数")
    private Integer da;

    /** 扁率的倒数 */
    @Excel(name = "扁率的倒数")
    private Double df;

    /** 基准纬度(单位度) */
    @Excel(name = "基准纬度(单位度)")
    private Integer dreferenceLatitude;

    /** 中央子午线(单位度) */
    @Excel(name = "中央子午线(单位度)")
    private Integer dcentralMeridian;

    /** 基准经度(单位度) */
    @Excel(name = "基准经度(单位度)")
    private Integer dreferenceLongitude;

    /** 投影高 */
    @Excel(name = "投影高")
    private Integer dprojectionHeight;

    /** 坐标名称 */
    @Excel(name = "坐标名称")
    private String projectionName;

    /** 高程拟合 */
    @Excel(name = "高程拟合")
    private String heightFittingParameter;

    /** 4参数 */
    @Excel(name = "4参数")
    private String constructionP4;

    /** 创建类型区分 */
    @Excel(name = "创建类型区分")
    private Integer createType;

    /** 坐标id */
    @Excel(name = "坐标id")
    private String projectionId;

    /** 7参数 */
    @Excel(name = "7参数")
    private String constructionP7;

    /** 坐标类型 */
    @Excel(name = "坐标类型")
    private Integer projectType;

    /** North加常数 */
    @Excel(name = "North加常数")
    private Integer dtx;

    /** East加常数 */
    @Excel(name = "East加常数")
    private Integer dty;

    /** 投影方式 */
    @Excel(name = "投影方式")
    private Integer ntype;

    /** 比例因子 */
    @Excel(name = "比例因子")
    private Integer dtk;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setStrName(String strName) {
        this.strName = strName;
    }

    public String getStrName() {
        return strName;
    }

    public void setDa(Integer da) {
        this.da = da;
    }

    public Integer getDa() {
        return da;
    }

    public void setDf(Double df) {
        this.df = df;
    }

    public Double getDf() {
        return df;
    }

    public void setDreferenceLatitude(Integer dreferenceLatitude) {
        this.dreferenceLatitude = dreferenceLatitude;
    }

    public Integer getDreferenceLatitude() {
        return dreferenceLatitude;
    }

    public void setDcentralMeridian(Integer dcentralMeridian) {
        this.dcentralMeridian = dcentralMeridian;
    }

    public Integer getDcentralMeridian() {
        return dcentralMeridian;
    }

    public void setDreferenceLongitude(Integer dreferenceLongitude) {
        this.dreferenceLongitude = dreferenceLongitude;
    }

    public Integer getDreferenceLongitude() {
        return dreferenceLongitude;
    }

    public void setDprojectionHeight(Integer dprojectionHeight) {
        this.dprojectionHeight = dprojectionHeight;
    }

    public Integer getDprojectionHeight() {
        return dprojectionHeight;
    }

    public void setProjectionName(String projectionName) {
        this.projectionName = projectionName;
    }

    public String getProjectionName() {
        return projectionName;
    }

    public void setHeightFittingParameter(String heightFittingParameter) {
        this.heightFittingParameter = heightFittingParameter;
    }

    public String getHeightFittingParameter() {
        return heightFittingParameter;
    }

    public void setConstructionP4(String constructionP4) {
        this.constructionP4 = constructionP4;
    }

    public String getConstructionP4() {
        return constructionP4;
    }

    public void setCreateType(Integer createType) {
        this.createType = createType;
    }

    public Integer getCreateType() {
        return createType;
    }

    public String getProjectionId() {
        return projectionId;
    }

    public void setProjectionId(String projectionId) {
        this.projectionId = projectionId;
    }

    public void setConstructionP7(String constructionP7) {
        this.constructionP7 = constructionP7;
    }

    public String getConstructionP7() {
        return constructionP7;
    }

    public void setProjectType(Integer projectType) {
        this.projectType = projectType;
    }

    public Integer getProjectType() {
        return projectType;
    }

    public void setDtx(Integer dtx) {
        this.dtx = dtx;
    }

    public Integer getDtx() {
        return dtx;
    }

    public void setDty(Integer dty) {
        this.dty = dty;
    }

    public Integer getDty() {
        return dty;
    }

    public void setNtype(Integer ntype) {
        this.ntype = ntype;
    }

    public Integer getNtype() {
        return ntype;
    }

    public void setDtk(Integer dtk) {
        this.dtk = dtk;
    }

    public Integer getDtk() {
        return dtk;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId())
            .append("projectId", getProjectId()).append("strName", getStrName()).append("da", getDa())
            .append("df", getDf()).append("dreferenceLatitude", getDreferenceLatitude())
            .append("dcentralMeridian", getDcentralMeridian()).append("dreferenceLongitude", getDreferenceLongitude())
            .append("dprojectionHeight", getDprojectionHeight()).append("projectionName", getProjectionName())
            .append("heightFittingParameter", getHeightFittingParameter()).append("constructionP4", getConstructionP4())
            .append("createType", getCreateType()).append("projectionId", getProjectionId())
            .append("constructionP7", getConstructionP7()).append("projectType", getProjectType())
            .append("dtx", getDtx()).append("dty", getDty()).append("ntype", getNtype()).append("dtk", getDtk())
            .append("updateTime", getUpdateTime()).append("createTime", getCreateTime())
            .append("createBy", getCreateBy()).append("updateBy", getUpdateBy()).toString();
    }
}
